#spotlight-home {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 93%;
  margin: auto;
  font-size: 1.5rem;
  margin-top: 70px;
  @media (min-width: $resolution-small) {
    margin-bottom: 70px;
  }
}

body[data-theme="light"] #home-center #thumbnail {
  box-shadow: 0px 0px 100px 0px
    oklch(var(--accent-brightness) 0.2 var(--accent-hue) / 0.8);
  &:hover {
    transition: box-shadow 400ms ease-out;
    box-shadow: 0px 0px 150px 0px
      oklch(var(--accent-brightness) 0.2 var(--accent-hue));
  }
}

#home-center {
  display: flex;
  flex-grow: 1;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  @media (min-width: $resolution-small) {
    margin-top: 120px;
  }

  @keyframes fadeIn {
    0% {
      scale: 0.95;
    }
    100% {
      scale: 1;
    }
  }
  animation: fadeIn 400ms;

  #thumbnail {
    font-weight: bold;
    text-align: right;
    color: #181a1a;
    // TODO: Improve for light mode (barely visible)
    box-shadow: 0px 0px 180px 0px
      oklch(var(--accent-brightness) 0.12 var(--accent-hue) / 0.8);
    &:hover {
      transition: box-shadow 400ms ease-out;
      box-shadow: 0px 0px 180px 0px
        oklch(var(--accent-brightness) 0.12 var(--accent-hue));
    }

    height: 225px;
    width: 225px;
    border-radius: 24px;

    perspective: 1000px;

    position: relative;
    display: inline-block;

    img {
      height: 225px;
      width: 225px;
      object-fit: cover;
      z-index: 10;
      position: absolute;
      left: 0;
      top: 0;
      border-radius: 24px;
      background: oklch(
        var(--profile-background-lightness) var(--profile-background-chroma)
          var(--accent-hue)
      );

      transition: {
        duration: 300ms;
        property: transform, box-shadow;
        timing-function: ease-out;
      }
      transform: rotate3d(0);

      &:hover {
        transition-duration: 150ms;
      }
    }
  }

  // Title
  h1 {
    margin: 10px 0 -25px 0;
    height: 77px;
    letter-spacing: 2px;
  }

  // Subtitle
  p {
    line-height: normal;
    font-size: 0.85em;
    opacity: 0.9;
    margin-bottom: 25px;
  }

  // Socials
  div:last-child {
    font-size: 1.2rem;
    text-align: center;
    opacity: 0.8;
    display: grid;
    grid-template-columns: 140px 120px 135px;
    @media (max-width: $resolution-tiny) {
      grid-template-columns: 140px 140px;
      margin-top: 20px;
      margin-bottom: 60px;
    }
    gap: 0.5em 1em;

    transition: opacity 800ms ease-in 600ms, height 800ms ease;

    a {
      display: grid;
      justify-content: left;
      align-items: center;
      grid-auto-flow: column;
      gap: 0.25em;

      span {
        margin-top: 0.35rem;
        font-size: 2rem;
      }

      margin-top: -8px;
      margin-bottom: -8px;
    }
  }
}
